<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="viewModel"
            type="com.hongyegroup.cpt_parttime.mvvm.PartJobDetailChildViewModel" />

        <variable
            name="click"
            type="com.hongyegroup.cpt_parttime.ui.PartJobDetailFragment.ClickProxy" />

        <import type="android.text.TextUtils" />

    </data>

<!--    <com.scwang.smart.refresh.layout.SmartRefreshLayout-->
<!--        android:id="@+id/refresh_layout"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="match_parent"-->
<!--        android:focusable="true"-->
<!--        android:focusableInTouchMode="true"-->
<!--        app:layout_behavior="@string/appbar_scrolling_view_behavior"-->
<!--        app:srlEnablePreviewInEditMode="false"-->
<!--        app:srlPrimaryColor="@color/white">-->

<!--    <com.scwang.smart.refresh.header.ClassicsHeader-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="wrap_content" />-->

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scrollbars="vertical"
        android:overScrollMode="never"
        android:background="@color/page_bg">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <include
                layout="@layout/include_parttime_job_detail_header_date_address"
                binding:click="@{click}"
                binding:viewModel="@{viewModel}" />

            <include
                layout="@layout/include_parttime_job_detail_header_requirement"
                binding:viewModel="@{viewModel}" />

            <include
                layout="@layout/include_parttime_job_detail_header_work"
                binding:viewModel="@{viewModel}" />

            <include
                layout="@layout/include_parttime_job_detail_header_qualification"
                binding:viewModel="@{viewModel}" />

            <include
                layout="@layout/include_parttime_job_detail_header_interested"
                binding:viewModel="@{viewModel}" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_recommend"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="@dimen/d_10dp"
                android:overScrollMode="never"
                android:scrollbars="vertical" />
        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

<!--    </com.scwang.smart.refresh.layout.SmartRefreshLayout>-->

</layout>




